# Class CIM_IPSubnet
extends CIM_LogicalNetwork

An IPSubnet represents a group of related IPProtocolEndpoints that can communicate with each other directly using IP. It is used for describing the characteristics of the grouping. Since this class' superclass (LogicalNetwork) has been deprecated (in order to define more consistent 'collection' semantics), this class is also deprecated.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_CollectionOfMSEs
|
+--CIM_LogicalNetwork
|
+--CIM_IPSubnet

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_IPConnectivitySubnet
Description | string | An IPSubnet represents a group of related IPProtocolEndpoints that can communicate with each other directly using IP. It is used for describing the characteristics of the grouping. Since this class' superclass (LogicalNetwork) has been deprecated (in order to define more consistent 'collection' semantics), this class is also deprecated.
UMLPackagePath | string | CIM::Network::Collections
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AddressType | uint16 |
Deprecated | string | CIM_IPConnectivitySubnet.AddressType
Description | string | An enumeration that describes the format of the address properties in IPSubnet.
ValueMap | string | 0, 1, 2
Values | string | Unknown, IPv4, IPv6
PrefixLength | uint8 |
Deprecated | string | CIM_IPConnectivitySubnet.PrefixLength
Description | string | The prefix length for IPv6 addresses in the IPSubnet, if needed (i.e., if the AddressType property is 2, "IPv6").
SubnetMask | string |
Deprecated | string | CIM_IPConnectivitySubnet.SubnetMask
Description | string | The mask for the starting IPv4 address of the IPSubnet, if needed (i.e., if the AddressType property is 1, "IPv4").
SubnetNumber | string |
Deprecated | string | CIM_IPConnectivitySubnet.SubnetNumber
Description | string | The IP address of the entire subnet, formatted according to the appropriate convention as defined in the AddressType property of this class.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CollectionID | string | CIM_CollectionOfMSEs
CreationClassName | string | CIM_LogicalNetwork
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_LogicalNetwork
NetworkType | uint16 | CIM_LogicalNetwork
OtherTypeDescription | string | CIM_LogicalNetwork
SystemCreationClassName | string | CIM_LogicalNetwork
SystemName | string | CIM_LogicalNetwork

## Class Methods